local _,L = ...
local rematch = Rematch
local panel = RematchNarrowPanel

rematch:InitModule(function()
	rematch.NarrowPanel = panel
	panel:SetParent(RematchFrame)
	panel:SetPoint("BOTTOMLEFT",5,4)
	panel:SetPoint("BOTTOMRIGHT",-5,4)
	panel.SaveAsButton.tooltipTitle = L["Save As..."]
	panel.SaveAsButton.tooltipBody = L["Save the currently loaded pets to a new team."]
	panel.SaveButton.tooltipTitle = SAVE
	panel.SaveButton.tooltipBody = L["Save the currently loaded pets to the loaded team."]
end)

function panel:Update()
	local dim = not RematchSettings.loadedTeam
	rematch.Toolbar:DimButton(panel.SaveButton,dim,dim)
end

function panel:SaveButtonOnClick()
	if RematchSettings.loadedTeam then
		rematch.BottomPanel.ButtonOnClick(rematch.BottomPanel.SaveButton)
	end
end

function panel:SaveAsButtonOnClick()
	rematch.BottomPanel.ButtonOnClick(rematch.BottomPanel.SaveAsButton)
end