local _,L = ...
local rematch = Rematch
local panel = RematchTopPanel

rematch:InitModule(function()
	rematch.TopPanel = panel
	panel.PetCount.UniqueLabel:SetText(L["Unique Pets"])
end)

function panel:Reparent(parent)
	if parent~=panel:GetParent() then
		panel:SetParent(parent)
		panel:ClearAllPoints()
		local achievement = panel.AchievementStatus
		achievement:ClearAllPoints()
		if parent==rematch.Frame then
			panel:SetPoint("TOPLEFT",5,-25)
			panel:SetPoint("TOPRIGHT",-5,-25)
		elseif parent==rematch.Journal then
			panel:SetPoint("TOPLEFT",60,-25)
			panel:SetPoint("TOPRIGHT",-4,-25)
		end
		achievement:SetPoint("LEFT",panel.PetCount,"RIGHT")
		achievement:SetPoint("RIGHT",rematch.Toolbar,"LEFT")
	end
	panel:Show()
end

function panel:Update()
	rematch.Roster:CheckForUpdate()
	panel.PetCount.OwnedCount:SetText(select(2,C_PetJournal.GetNumPets()))
	panel.PetCount.UniqueCount:SetText(rematch.Roster.uniquePets)
	panel.AchievementStatus.Text:SetText(GetCategoryAchievementPoints(15117, true))
end
